#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	GD - interface to GD graphics library
Summary(pl.UTF-8):	GD - interfejs do biblioteki graficznej GD
Name:		perl-GD
Version:	2.66
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/GD/GD-%{version}.tar.gz
# Source0-md5:	5c89ea8861810ca41bc4aca98e3fdfda
Patch0:		%{name}-paths.patch
URL:		http://search.cpan.org/dist/GD/
BuildRequires:	gd-devel >= 2.0.28
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	gd >= 2.0.28
Provides:	perl-GD(gif) = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GD.pm is a Perl interface to Thomas Boutell's GD graphics library. GD
allows you to create color drawings using a large number of graphics
primitives, and emit the drawings as PNG files.

%description -l pl.UTF-8
GD.pm jest perlowym interfejsem do biblioteki graficznej GD Thomasa
Boutella. GD pozwala na tworzenie kolorowych rysunków przy użyciu
dużej liczby graficznych prymitywów oraz zapisywanie ich w formacie
PNG.

%prep
%setup -q -n GD-%{version}
%patch0 -p1


%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{perl_vendorlib}/GD}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

cp -fa demos bdf_scripts \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

gzip -9nf $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/bdf_scripts/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README*
%attr(755,root,root) %{_bindir}/bdf2gdfont.pl
%{perl_vendorarch}/GD.pm
%{perl_vendorarch}/GD
%dir %{perl_vendorarch}/auto/GD
%{perl_vendorarch}/auto/GD/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/GD/GD.so
%dir %{perl_vendorlib}/GD
%{_mandir}/man1/bdf2gdfont.pl.1*
%{_mandir}/man3/GD*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-GD.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 165be94
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 13dcf6f
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> a872847
- Add missing dep

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 8f81453
- Up to 2.66

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> d5161b1
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> d2af550
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Mon Aug 29 2016 Jan Rękorajski <baggins@pld-linux.org> 4c70394
- rebuild with libvpx 1.6
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> c136819
- release 2 (by relup.sh)

* Sun Jun 21 2015 Jakub Bogusz <qboosh@pld-linux.org> df17ec3
- updated to 2.56
- updated paths patch
- removed obsolete make patch
- added version patch (from git) and GD.xs workaround
- adjusted tests hack

* Sat May 23 2015 Jan Rękorajski <baggins@pld-linux.org> e69488b
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 081bee9
- x32 rebuild
- release 2 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> faf1e7b
- up to 2.53

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0a31da6
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0ea616b
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3647499
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> db2f107
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 17ceb39
- release 2 (by relup.sh)

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 605a25d
- up to 2.50

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c94297
- release 4 (by relup.sh)

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> f5bf430
- rel 3

